#include <bits/stdc++.h>
using namespace std;

const int MAX_N = 500005;

int n;
int ciag[MAX_N];

vector<int> oblicz_dlug_nieprzedluzalne() {
  vector<int> dlug_nieprzedluzalne;
  int aktualna_dlugosc = 1;
  for (int i = 0; i < n; i++) {  // na koncu porownamy sie z ciag[n+1], ktory jest zerem
    if (ciag[i] < ciag[i+1])
      aktualna_dlugosc++;
    else {
      dlug_nieprzedluzalne.push_back(aktualna_dlugosc);
      aktualna_dlugosc = 1;
    }
  }
  return dlug_nieprzedluzalne;
}

int ile_fragmentow(const vector<int>& dlug_nieprzedluzalne, int k) {
  int wynik = 0;
  for (int x : dlug_nieprzedluzalne)
    wynik += max(0, x-k+1);
  return wynik;
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);

  cin >> n;
  for (int i = 0; i < n; i++)
    cin >> ciag[i];

  vector<int> dlug_nieprzedluzalne = oblicz_dlug_nieprzedluzalne();

  int q;
  cin >> q;
  for (int i = 0; i < q; i++) {
    int k;
    cin >> k;
    cout << ile_fragmentow(dlug_nieprzedluzalne, k) << "\n";
  }

  return 0;
}
